This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: Can't use install-path longer than 15 chars after 2.875 update

On 2016-08-31 13:28, Garber, Dave (GE Oil & Gas, Non-GE) wrote:
On Aug 31 18:59, Garber, Dave (GE Oil & Gas, Non-GE) wrote:
On Aug 31 20:22, Jacek Sowiński wrote:
After updating to setup-x86_64.exe version 2.875 I can't use
install paths longer than 15 chars and error is throwed:
The install directory must be absolute, with both a drive
letter and leading slash, like C:\Cygwin
So what was your actual install path? FYI, I just used
setup-2.875 to installed Cygwin into C:\cygwin-test-blubber-
test\test\test and it just worked.
I can confirm that C:\apps\Cygwin64 does NOT work but
C:\apps\Cygwin6 does.  I also get the error with
On what OS?  You're not running it on XP by any chance?  Is that
on 32 or 64 bit? I could reproduce it on W7 32 bit for some reaosn,
while it works fine all the time on W10 64 bit.
Fails on Win7 64 bit also.

Sounds suspiciously close to _POSIX_NAME_MAX(==14) if backslash is
stripped and nul terminator is included in the count?
But can't find anything obvious grepping setup and newlib sources.

Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]